Bug 243743 - devel/libpeas: update to 1.24.0
Summary: devel/libpeas: update to 1.24.0
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks: 238373
  Show dependency treegraph
 
Reported: 2020-01-30 21:57 UTC by Greg V
Modified: 2020-10-17 16:48 UTC (History)
2 users (show)

See Also:


Attachments
peas.patch (13.21 KB, patch)
2020-01-30 21:57 UTC, Greg V
no flags Details | Diff
peas.patch (1.26.0) (15.50 KB, patch)
2020-05-21 13:42 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-01-30 21:57:25 UTC
Created attachment 211207 [details]
peas.patch

- this is required for current mail/geary
- kill python2 support, which has no consumers (according to pkg rquery)
- now built with meson
Comment 1 Steve Wills freebsd_committer 2020-01-31 00:12:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/113776439
Comment 2 Ting-Wei Lan 2020-02-02 08:04:02 UTC
Comment on attachment 211207 [details]
peas.patch

>@@ -29,108 +31,75 @@ libdata/pkgconfig/libpeas-1.0.pc
> libdata/pkgconfig/libpeas-gtk-1.0.pc
> share/gir-1.0/Peas-1.0.gir
> share/gir-1.0/PeasGtk-1.0.gir
>-share/gtk-doc/html/libpeas/PeasActivatable.html
>-share/gtk-doc/html/libpeas/PeasEngine.html
>-share/gtk-doc/html/libpeas/PeasExtensionBase.html
>-share/gtk-doc/html/libpeas/PeasExtensionSet.html
>-share/gtk-doc/html/libpeas/PeasGtkConfigurable.html
>-share/gtk-doc/html/libpeas/PeasGtkPluginManager.html
>-share/gtk-doc/html/libpeas/PeasGtkPluginManagerView.html
>-share/gtk-doc/html/libpeas/PeasObjectModule.html
>-share/gtk-doc/html/libpeas/PeasPluginInfo.html
>-share/gtk-doc/html/libpeas/annotation-glossary.html
>-share/gtk-doc/html/libpeas/api-index-1-14.html
>-share/gtk-doc/html/libpeas/api-index-1-18.html
>-share/gtk-doc/html/libpeas/api-index-1-2.html
>-share/gtk-doc/html/libpeas/api-index-1-4.html
>-share/gtk-doc/html/libpeas/api-index-1-6.html
>-share/gtk-doc/html/libpeas/api-index-deprecated.html
>-share/gtk-doc/html/libpeas/api-index-full.html
>-share/gtk-doc/html/libpeas/ch01.html
>-share/gtk-doc/html/libpeas/ch02.html
>-share/gtk-doc/html/libpeas/ch03.html
>-share/gtk-doc/html/libpeas/home.png
>-share/gtk-doc/html/libpeas/index.html
>-share/gtk-doc/html/libpeas/left-insensitive.png
>-share/gtk-doc/html/libpeas/left.png
>-share/gtk-doc/html/libpeas/libpeas-PeasExtension.html
>-share/gtk-doc/html/libpeas/libpeas.devhelp2
>-share/gtk-doc/html/libpeas/peas-gtk-plugin-manager.png
>-share/gtk-doc/html/libpeas/pt01.html
>-share/gtk-doc/html/libpeas/right-insensitive.png
>-share/gtk-doc/html/libpeas/right.png
>-share/gtk-doc/html/libpeas/style.css
>-share/gtk-doc/html/libpeas/up-insensitive.png
>-share/gtk-doc/html/libpeas/up.png
> share/icons/hicolor/16x16/actions/libpeas-plugin.png
> share/icons/hicolor/22x22/actions/libpeas-plugin.png
> share/icons/hicolor/32x32/actions/libpeas-plugin.png
> share/icons/hicolor/scalable/actions/libpeas-plugin.svg

You seem to remove all gtk-doc files in this patch. If it is unintended, please restore them by adding -Dgtk_doc=true to MESON_ARGS.
Comment 3 Greg V 2020-05-21 13:42:32 UTC
Created attachment 214726 [details]
peas.patch (1.26.0)

- updated to 1.26.0
- brought back gtkdoc, now optionalized as DOCS
- compatible with Python 3.8! \o/